| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Public Attributes | List of all members
Tp::PtrFunctor2< R, Arg1, Arg2 > Struct Template Reference

`#include </build/telepathy-qt-h4W587/telepathy-qt-0.9.7/TelepathyQt/functors.h>`

Inheritance diagram for Tp::PtrFunctor2< R, Arg1, Arg2 >:
[legend]

## Public Types

typedef R(* | FunctionType) (Arg1, Arg2)
typedef R | ResultType

## Public Member Functions

| PtrFunctor2 (FunctionType fn)
ResultType | operator() (Arg1 a1, Arg2 a2) const

## Public Attributes

FunctionType | fn

## Member Typedef Documentation

## § FunctionType

template<class R , class Arg1 , class Arg2 >

typedef R(* Tp::PtrFunctor2< R, Arg1, Arg2 >::FunctionType) (Arg1, Arg2)

## § ResultType

template<class R , class Arg1 , class Arg2 >

typedef R Tp::PtrFunctor2< R, Arg1, Arg2 >::ResultType

## Constructor & Destructor Documentation

## § PtrFunctor2()

template<class R , class Arg1 , class Arg2 >

Tp::PtrFunctor2< R, Arg1, Arg2 >::PtrFunctor2 | ( | FunctionType | fn | ) |

inline

## Member Function Documentation

## § operator()()

template<class R , class Arg1 , class Arg2 >

ResultType Tp::PtrFunctor2< R, Arg1, Arg2 >::operator() | ( | Arg1 | a1,
|  | Arg2 | a2
| ) |  | const

inline

## Member Data Documentation

## § fn

template<class R , class Arg1 , class Arg2 >

FunctionType Tp::PtrFunctor2< R, Arg1, Arg2 >::fn